// Contains logic related to elementor.
( function( $, undefined ) {
	"use strict";

	$( function() {

		var VAMTAM_ELEMENTOR = {
			domLoaded: function () {
				this.VamtamMainNavHandler.init();
			},
			// Hanldes issues relaetd to the main na menu.
			VamtamMainNavHandler: {
				init: function() {
					this.fixMenuDrodownScrolling();
				},
				fixMenuDrodownScrolling: function () {
					var $mainMenuDropdown = $( '.elementor-location-header .elementor-nav-menu--dropdown-tablet .elementor-nav-menu--dropdown.elementor-nav-menu__container' ).first();
					var menuToggle        = $mainMenuDropdown.siblings( '.elementor-menu-toggle' )[ 0 ];

					var onMenuToggleClick = function () {
						if ( $( menuToggle ).hasClass( 'elementor-active' ) ) {
							// For safari we substract an additional 100px to account for the bottom action-bar (different size per iOS version). Uggh..
							var height = $( 'html' ).hasClass( 'ios-safari' ) ? $mainMenuDropdown[ 0 ].getBoundingClientRect().top + 100 : $mainMenuDropdown[ 0 ].getBoundingClientRect().top;
							$mainMenuDropdown.css( 'max-height', 'calc(100vh - ' + height + 'px)' );
							menuToggle.removeEventListener( 'click', onMenuToggleClick );
						}
					}
					menuToggle.addEventListener( 'click', onMenuToggleClick );
				},
			}
		}

		$( window ).ready( function() {
			VAMTAM_ELEMENTOR.domLoaded();
		});
	});
})( jQuery );
