<?php
// Enqueue scripts for the editor
add_action( 'elementor/editor/before_enqueue_scripts', 'VamtamElementorIntregration::enqueue_editor_scripts' );

// Elementor menu cart widget, quantity override.
add_filter( 'woocommerce_widget_cart_item_quantity', 'vamtam_woocommerce_cart_item_quantity', 10, 3 );

// Menu cart content manipulation.
add_filter( 'elementor/widget/render_content', function ( $content, $widget ) {
	if ( $widget->get_name() === 'woocommerce-menu-cart' ) {
		// Remove current close button (we add it in header below).
		$content = str_replace( '<div class="elementor-menu-cart__close-button"></div>', '', $content );
		// Inject cart header.
		$header  = '<div class="vamtam-elementor-menu-cart__header">
						<span class="font-h4 label">' . esc_html__( 'Cart', 'vamtam-elementor-integration' ) . '</span>
						<span class="item-count">(' . esc_html( WC()->cart->get_cart_contents_count() ) . ')</span>
						<div class="elementor-menu-cart__close-button">
							<svg class="font-h4 vamtam-close vamtam-close-cart" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20" version="1.1"><path d="M10 8.586l-7.071-7.071-1.414 1.414 7.071 7.071-7.071 7.071 1.414 1.414 7.071-7.071 7.071 7.071 1.414-1.414-7.071-7.071 7.071-7.071-1.414-1.414-7.071 7.071z"></path></svg>
						</div>
					</div>';
		$content = str_replace( '<div class="widget_shopping_cart_content', $header . '<div class="widget_shopping_cart_content', $content );
	}
	return $content;
}, 10, 2 );

// Add custom shapes to section's shape divider.
add_filter( 'elementor/shapes/additional_shapes', function ( $additional_shapes ) {
	$additional_shapes = $additional_shapes + [
		'vamtam-waves' => [
			'title'        => _x( 'Vamtam Waves', 'Shapes', 'vamtam-elementor-integration' ),
			'height_only'  => true,
			'path'         => VAMTAM_ELEMENTOR_INT_DIR . 'assets/shapes/vamtam-waves.svg',
			'url'          => VAMTAM_ELEMENTOR_INT_URL . 'assets/shapes/vamtam-waves.svg'
		]
	];
	return $additional_shapes;
} );
