<?php
namespace VamtamElementor\Widgets\ProductsCategories;

// Extending the Products Categories widget.

// Responsive control
function update_image_spacing_control_responsive( $controls_manager, $widget ) {
	$control_id = 'image_spacing';

	foreach ( [ $control_id, $control_id . '_tablet', $control_id . '_mobile' ] as $device_cid  ) {
		$control_data = $controls_manager->get_control_from_stack( $widget->get_unique_name(), $device_cid );

		if ( is_wp_error( $control_data ) ) {
			continue;
		}

		$control_data['selectors'] = [
			'{{WRAPPER}} ul.products li.product-category.product .vamtam-product-cat-content > .woocommerce-loop-category__title' => 'padding-top: {{SIZE}}{{UNIT}}',
		];

		$widget->update_control( $device_cid, $control_data );
	}
}

// Add Switcher Control.
function add_show_count_control( $widget ) {
	$widget->add_control(
		'show_cat_count',
		[
			'label' => __( 'Show Count', 'vamtam-elementor-integration' ),
			'type' => \Elementor\Controls_Manager::SWITCHER,
			'label_on' => __( 'Show', 'vamtam-elementor-integration' ),
			'label_off' => __( 'Hide', 'vamtam-elementor-integration' ),
			'prefix_class' => 'vamtam-no-count--',
			'return_value' => 'yes',
			'default' => 'yes',
		]
	);
}

// Products section.
add_action( 'elementor/element/wc-categories/section_products_style/before_section_end', function( $widget, $args ) {
	$controls_manager = \Elementor\Plugin::instance()->controls_manager;
	add_show_count_control( $widget );
	update_image_spacing_control_responsive( $controls_manager, $widget );
}, 10, 2 );
