<?php
namespace VamtamElementor\Widgets\Section;

// Extending the Section widget.

// Group control.
function update_bg_attachment_control( $controls_manager, $widget ) {
	$control_id   = 'background_attachment';
	$control_data = $controls_manager->get_control_from_stack( $widget->get_unique_name(), $control_id );

	if ( is_wp_error( $control_data ) ) {
		return;
	}

	$control_data['prefix_class'] = 'vamtam-section-bg-';

	$widget->update_control( $control_id, $control_data );
}

// Styles - Background section.
add_action( 'elementor/element/section/section_background/before_section_end', function( $widget, $args ) {
	$controls_manager = \Elementor\Plugin::instance()->controls_manager;
	update_bg_attachment_control( $controls_manager, $widget );
}, 10, 2 );
